Summary: Perty logos for X
Name: fermi-d0-logos
Version: 1.0
Release: 6
Source: %{name}-%{version}.tar.gz
Copyright: FermiLab
Group: Fermi/D0
URL: http://www-d0.fnal.gov/d0unix/linux/
Distribution: Fermi Linux v6.1.1
Vendor: Fermilab
Packager: Simon Epsteyn
Requires: /bin/sh, xsri
BuildArch: noarch
BuildRoot: /var/tmp/%{name}-buildroot

%description

Some logos to be used with xdm, kdm, gdm

%prep
%setup

#%build

%install

/bin/rm -rf $RPM_BUILD_ROOT
/bin/mkdir -p $RPM_BUILD_ROOT/usr/share/pixmaps/fermi
/bin/mkdir -p $RPM_BUILD_ROOT/usr/share/icons
/bin/mkdir -p $RPM_BUILD_ROOT/usr/share/icons/large
/bin/mkdir -p $RPM_BUILD_ROOT/usr/share/icons/mini

/bin/cp fermi-logo.png $RPM_BUILD_ROOT/usr/share/pixmaps/fermi
/bin/cp fermi-kdm.png $RPM_BUILD_ROOT/usr/share/pixmaps/fermi

/bin/cp fermi.xpm $RPM_BUILD_ROOT/usr/share/icons
/bin/cp fermi-large.xpm $RPM_BUILD_ROOT/usr/share/icons/large
/bin/cp fermi-mini.xpm $RPM_BUILD_ROOT/usr/share/icons/mini

%clean
#/bin/rm -rf $RPM_BUILD_ROOT

# Pre-install script
#%pre

# Post-install script
%post

## Xsetup_0

if [ -e /etc/X11/xdm/Xsetup_0 ]; then
	/bin/cp -f  /etc/X11/xdm/Xsetup_0  /etc/X11/xdm/Xsetup_0.d0sav
fi

/bin/cat <<EOF >>/etc/X11/xdm/Xsetup_0
if [ -x /usr/bin/xsri ]; then
	/usr/bin/xsri  -geometry +5-5 -keep-aspect \
	/usr/share/pixmaps/fermi/fermi-logo.png
fi
EOF

# Pre-uninstall script
#%preun

# Post-uninstall script
%postun

## Xsetup_0

if [ -e /etc/X11/xdm/Xsetup_0.d0sav ]; then
	/bin/mv -f /etc/X11/xdm/Xsetup_0.d0sav /etc/X11/xdm/Xsetup_0
fi

# Files owned by this package
%files

%defattr(-,root,root)
/usr/share/pixmaps/fermi/fermi-logo.png
/usr/share/pixmaps/fermi/fermi-kdm.png
/usr/share/icons/fermi.xpm
/usr/share/icons/large/fermi-large.xpm
/usr/share/icons/mini/fermi-mini.xpm
